Gimp 2.10 on DNF repo
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 10 of 10
  1. #1
    Join Date
    May 2018
    Location
    France
    Posts
    3

    Gimp 2.10 on DNF repo

    Hi there,

    I'm using Fedora 26 on QubesOS. The GIMP version available on DNF is still 2.8 while 2.10 is out for more than a month. This is a very important release enabling the 16 and 32 bits image handllng. Sure there's the Flatpak version but it requires root acces to run and yet complains for some babl problem.

    Thanks

  2. #2
    Join Date
    Jul 2013
    Location
    NZ
    Posts
    440

    Re: Gimp 2.10 on DNF repo

    There is a copr repo that had the last release candidate but only 2.9.8 is available for f26 . I doubt it will ever turn up in fedora 26 official repos. Your best bet is to upgrade to fedora 28.

    https://copr.fedorainfracloud.org/co...gimp-unstable/

    Under f28 Modular repo the package appears to be available. I haven't tried it:

    https://bodhi.fedoraproject.org/upda...018-ae54c7c5d0
    Last edited by alphacrucis; 17th May 2018 at 11:34 PM.

  3. #3
    Join Date
    May 2018
    Location
    France
    Posts
    3

    Re: Gimp 2.10 on DNF repo

    Thanks. I got it.

  4. #4
    Join Date
    Oct 2011
    Posts
    1,884

    Re: Gimp 2.10 on DNF repo

    Or create and maintain your own copr repo or build it locally inside mock, it is not that hard.

    As far as I can see, Gimp 2.10 is available only for rawhide ATM. https://koji.fedoraproject.org/koji/...?packageID=407

  5. #5
    Join Date
    May 2018
    Location
    France
    Posts
    3

    Re: Gimp 2.10 on DNF repo

    Quote Originally Posted by srakitnican
    Or create and maintain your own copr repo or build it locally inside mock, it is not that hard.

    As far as I can see, Gimp 2.10 is available only for rawhide ATM. https://koji.fedoraproject.org/koji/...?packageID=407
    I couldn't even compile the source. Within f26 I can't update some libs to the right version. I can survive with the current version for a while.

  6. #6
    Join Date
    Apr 2005
    Location
    earth
    Posts
    1,355

    Re: Gimp 2.10 on DNF repo

    UGH!
    it's so frustrating when "our stuff" is available on Windows before we can even use them
    Hopefully it will hit the regular repos soon.
    x--x--x
    http://www.gnu.org/philosophy/free-sw.html
    Freedom is never Free.
    Pat Jr.

  7. #7
    Join Date
    Oct 2011
    Posts
    1,884

    Re: Gimp 2.10 on DNF repo

    @PatMcLJr There is an official flatpak available.

    For rpm it is not trivial to make, since dependencies does not match or are missing for Fedora 26 and 27.

    Code:
    Fedora 26:
    No matching package to install: 'gegl04-devel >= 0.4.2'
    No matching package to install: 'gegl04-tools'
    No matching package to install: 'glib2-devel >= 2.54.2'
    No matching package to install: 'libgs-devel'
    No matching package to install: 'mypaint-brushes-devel >= 1.3.0'
    
    Fedora 27:
    No matching package to install: 'gegl04-devel >= 0.4.2'
    No matching package to install: 'libgs-devel'
    While resources required by libgs may be available from ghostscript package, gegl04 seems to be available only for f27 and f28. Version for Fedora 27 did not hit repositories yet.

    Fedora 28 package was built successfully using Fedora official git repository. https://copr.fedorainfracloud.org/co.../build/759600/

  8. #8
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    6,502

    Re: Gimp 2.10 on DNF repo

    thread moved to Using Fedora. The section you posted in originally relates to operating system upgrades, not which packages are the latest available.

  9. #9
    Join Date
    Aug 2017
    Location
    Greece
    Posts
    91

    Re: Gimp 2.10 on DNF repo

    And you'll probably won't see gimp 2.10 on 26 because of the dependencies.
    And soon 26 will be EOL, so it is better to dist-upgrade.

  10. #10
    Join Date
    Oct 2011
    Posts
    1,884

    Re: Gimp 2.10 on DNF repo

    I've managed to build the dependencies and gimp for f26 and f27. No idea if it is installable though or if it actually works. It might break something else on Fedora 26 since upgraded libraries are needed. https://copr.fedorainfracloud.org/co...can/gimp-2.10/

Similar Threads

  1. How do I Install GIMP Plugin Registry for GIMP 2.8
    By cobber in forum Using Fedora
    Replies: 3
    Last Post: 31st August 2015, 11:44 AM
  2. Replies: 3
    Last Post: 11th February 2012, 01:38 PM
  3. Meet The Gimp great gimp resource.
    By BugRocks1 in forum Wibble
    Replies: 7
    Last Post: 28th June 2010, 04:22 PM
  4. Gimp: tex-to-float and gimp-perl
    By rgaelzer in forum Using Fedora
    Replies: 2
    Last Post: 10th June 2010, 04:15 PM
  5. GIMP animation missing from GIMP in F7?
    By Thetargos in forum Using Fedora
    Replies: 22
    Last Post: 24th October 2007, 11:04 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •